Texa DeskDevelopers

Texa Desk Application API · Reports

Get outgoing messages count grouped by entity

GET/api/v2/accounts/{account_id}/reports/outgoing_messages_count

Get the count of outgoing messages grouped by a specified entity (agent, team, inbox, or label). When grouped by agent, messages sent by bots (AgentBot, Texa AI::Assistant) are excluded.

Note: This API endpoint is available only in Texa Desk version 4.11.0 and above.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

sincestring

The timestamp from where report should start (Unix timestamp).

untilstring

The timestamp from where report should stop (Unix timestamp).

group_bystringrequired

The entity to group outgoing message counts by.

Responses

200

Success

idnumber

The ID of the grouped entity (agent, team, inbox, or label).

namestring

The name of the grouped entity.

outgoing_messages_countnumber

The total number of outgoing messages for this entity in the given time range.

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring